#ifndef __DIFFNORMTASKHANDLER_H
#define __DIFFNORMTASKHANDLER_H

#include "TaskHandler.h"

class Config;

class DiffNormTH : public TaskHandler {
public:
	DiffNormTH (Config *conf);
	virtual ~DiffNormTH ();

	virtual void HandleTask();
	virtual string BuildWorkingDir();

	void Compress(Config *conf, const string tag = "");
	void DoCompress(Config *conf, Database *db, ItemSetCollection *isc, const string &tag, const string &timetag, const uint32 resumeSup, const uint64 resumeCand);

};

#endif // __DIFFNORMTASKHANDLER_H
